.button{
    position: relative;
    display: inline-block;
    height:  30px;
    line-height: 29px;
    padding: 0 14px;
    color: white;
    text-align: center;
    border-radius: 2px;
    font-size: 13px;
    font-weight: normal;
    text-transform: capitalize;
    text-decoration: none;
    white-space: nowrap;
    background-color: $color1;
    border: 1px solid $color1;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    cursor: pointer;
    
    &:hover{
        color: white;
        background-color: $color2;
        border-color: $color2;}
    
    &:focus{
        outline: 0;}
    
    &.second{
        color: $color1;
        background-color: transparent;
        border-color: $color1;

        &:hover{
            color: $white;
            background-color: $color1;
            border-color: $color1;
        }
    }
    
    &.disabled, &:disabled{
        border-color: #dcdcdc;
        color:#929292!important;
        background:#e6e6e6!important;}
    
    &.big{
        height: 40px;
        line-height: 38px;
        font-size: 15px;
        padding: 0 20px;}

    &.small{
        height: 23px;
        line-height: 21px;
        font-size: 10px;}

    &.square, &.circle{
        height: 30px;
        width: 30px;
        padding: 0;}

    &.circle{
        border-radius: 50%;}
    
    i:before{
        position: relative;
        top: -2px;}
}
